﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;

namespace NavigationDrawer.ViewModel
{
    public class DoughnutChart
    {
        public ObservableCollection<ChartData> DoughnutSeriesData { get; set; }

        public List<Color> Colors { get; set; }
        public DoughnutChart() {

            DoughnutSeriesData = new ObservableCollection<ChartData>
                {
                    new ChartData("Achieved", 6000, "6K", "(67.9%)"),
                    new ChartData("Breached", 410, "410", "(34%)"),
                };

            Colors = new List<Color>();
            Colors.Add(Color.FromHex("61C0FF"));
            Colors.Add(Color.FromHex("2974BF"));
        }
    }

    public class ChartData
    {
        public ChartData()
        {

        }

        public ChartData(string strName, double strValue, string strTooltipValue = "", string strTooltipPercentage = "")
        {
            Name = strName;
            ChartValue = strValue;
            TooltipPercentage = strTooltipPercentage;
            TooltipValue = strTooltipValue;
        }
        public string Name { get; set; }
        public double ChartValue { get; set; }
        public string TooltipValue { get; set; }
        public string TooltipPercentage { get; set; }
    }
}
